# Class RewriteCond.PatternCondition

java.lang.Object
org.apache.catalina.valves.rewrite.RewriteCond.Condition
org.apache.catalina.valves.rewrite.RewriteCond.PatternCondition

Enclosing class:
  `RewriteCond`

public static class RewriteCond.PatternCondition extends RewriteCond.Condition

## Field Summary

Fields
Modifier and Type
Field
Description
`Pattern`
`pattern`

## Constructor Summary

Constructors
Constructor
Description
`PatternCondition()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`evaluate(String value, Resolver resolver)`
`Matcher`
`getMatcher()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pattern

public Pattern pattern

## Constructor Details

### PatternCondition

public PatternCondition()

## Method Details

### evaluate

public boolean evaluate(String value, Resolver resolver)

Specified by:
  `evaluate` in class `RewriteCond.Condition`

### getMatcher

public Matcher getMatcher()